This URL updates the proxy server configuration at the Manager level.
Resource URL
PUT /domain/proxyserver
Request Parameters
URL Parameters: None
Payload parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Use proxy server configuration | Boolean | Yes |
| Proxy server name/IP configuration | String | Yes |
| Proxy port configuration | Number | Yes |
| User name | String | No |
| Password | String | No |
Response Parameters
Following fields are returned if the operation was successful, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation was successful | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/domain/proxyserver
Payload
{
"useProxyserver": true,
"proxyServerNameOrIPAddr": 1.1.1.1,
"proxyPort": 8443,
"userName": null,
"password": null
}
Response
{
"status": 1
}
Error Information
Following error code is returned by the URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal server error |